Skip to main content
`Ctrl`+`K`
scipy.signal.

# zpk2ss

scipy.signal.zpk2ss(z, p, k)

  Zero-pole-gain representation to state-space representation

  Parameters:
    z, p sequence

      Zeros and poles.

    k float

      System gain.

  Returns:
    A, B, C, D ndarray

      State space representation of the system, in controller canonical form.

  Notes

  Array API Standard Support

  `zpk2ss` has experimental support for Python Array API Standard compatible backends in addition to NumPy. Please consider testing these features by setting an environment variable `SCIPY_ARRAY_API=1` and providing CuPy, PyTorch, JAX, or Dask arrays as array arguments. The following combinations of backend and device (or other capability) are supported.

  Library | CPU | GPU
  --- | --- | ---
  NumPy | ✅ | n/a
  CuPy | n/a | ⛔
  PyTorch | ⛔ | ⛔
  JAX | ⛔ | ⛔
  Dask | ⛔ | n/a

  > See Support for the array API standard for more information.